summaryrefslogtreecommitdiff
path: root/mdadm.hook
diff options
context:
space:
mode:
Diffstat (limited to 'mdadm.hook')
-rw-r--r--mdadm.hook18
1 files changed, 18 insertions, 0 deletions
diff --git a/mdadm.hook b/mdadm.hook
new file mode 100644
index 0000000..a687296
--- /dev/null
+++ b/mdadm.hook
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+case "$1" in
+ 'head')
+ :
+ ;;
+ 'foot')
+ echo '-------------------------- /proc/mdstat ----------------------------'
+ echo
+ cat /proc/mdstat
+ echo
+ echo '------------------------ /proc/mdstat End --------------------------'
+ ;;
+ *)
+ >&2 printf 'usage: %s head|foot\n' "${0##*/}"
+ exit 1
+ ;;
+esac